clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Enumerations | Functions | Variables
IdentifierNamingCheck.cpp File Reference
`#include "IdentifierNamingCheck.h"`
`#include "llvm/Support/Debug.h"`
`#include "llvm/Support/Format.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
Include dependency graph for IdentifierNamingCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::readability

## Macros
#define | DEBUG_TYPE "clang-tidy"
#define | NAMING_KEYS(m)
#define | ENUMERATE(v) SK_ ## v,
#define | STRINGIZE(v) #v,

## Enumerations
enum | clang::tidy::readability::StyleKind { clang::tidy::readability::SK_Count, clang::tidy::readability::SK_Invalid }

## Functions
static bool | clang::tidy::readability::matchesStyle (StringRef Name, IdentifierNamingCheck::NamingStyle Style)
static std::string | clang::tidy::readability::fixupWithCase (StringRef Name, IdentifierNamingCheck::CaseType Case)
static std::string | clang::tidy::readability::fixupWithStyle (StringRef Name, IdentifierNamingCheck::NamingStyle Style)
static StyleKind | clang::tidy::readability::findStyleKind (const NamedDecl *D, const std::vector< IdentifierNamingCheck::NamingStyle > &NamingStyles)
static void | clang::tidy::readability::addUsage (IdentifierNamingCheck::NamingCheckFailureMap &Failures, const NamedDecl *Decl, SourceRange Range, const SourceManager *SM)

## Variables
static StringRef const | clang::tidy::readability::StyleNames []

## Macro Definition Documentation

#define DEBUG_TYPE "clang-tidy"

Definition at line 16 of file IdentifierNamingCheck.cpp.

#define ENUMERATE | ( |  | v | ) | SK_ ## v,

Definition at line 70 of file IdentifierNamingCheck.cpp.

#define NAMING_KEYS | ( |  | m | ) |

Definition at line 25 of file IdentifierNamingCheck.cpp.

#define STRINGIZE | ( |  | v | ) | #v,